## python-libmaas 0.6.0

=== Makefile ===
PYTHON := python3

# ---

develop: bin/python setup.py
	bin/python setup.py develop

dist: bin/python setup.py README
	bin/python setup.py sdist bdist_wheel

upload: bin/python setup.py README
	bin/python setup.py sdist bdist_wheel upload

test: bin/tox
	@bin/tox

integrate: bin/tox
	@bin/tox -e integrate

lint: bin/tox
	@bin/tox -e lint,imports

clean:
	$(RM) -r bin build dist include lib local share
	find . -name '*.py[co]' -print0 | xargs -r0 $(RM) -r
	find . -name '__pycache__' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg-info' -print0 | xargs -r0 $(RM) -r
	find . -name '*~' -print0 | xargs -r0 $(RM)
	$(RM) -r .eggs .tox .coverage TAGS tags
	$(RM) pip-selfcheck.json

# ---

README: README.md
	pandoc --from markdown --to rst --output $@ $^

docs: bin/mkdocs
	bin/mkdocs build --config-file doc.yaml --clean --strict

docs-to-github: bin/mkdocs
	bin/mkdocs gh-deploy --config-file doc.yaml --clean

# ---

bin/tox: bin/pip
	bin/pip install --quiet --ignore-installed tox

bin/python bin/pip:
	virtualenv --python=$(PYTHON) --quiet $(CURDIR)

bin/mkdocs: bin/pip
	bin/pip install --quiet --ignore-installed "mkdocs >= 0.14.0"

# ---

api-json-raw := $(wildcard maas/client/bones/testing/*.raw.json)
api-json := $(patsubst %.raw.json,%.json,$(api-json-raw))

pretty: $(api-json)

%.json: %.pretty.json
	cp $^ $@

%.pretty.json: %.raw.json
	scripts/prettify-api-desc-doc < $^ > $@

# ---

.PHONY: develop dist docs docs-to-github test integrate lint clean pretty

=== debian/changelog ===
python-libmaas (0.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * d/p/{00-disable_bson_install_requires,01-fix_setup_py_lists}.patch: Drop.
    merged upstream.
  * debian/watch: Cleanup unneeded comments.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 06 Feb 2018 21:15:00 -0500

python-libmaas (0.5.0-0ubuntu1) bionic; urgency=medium

  * Initial release (LP: #1747328)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 04 Feb 2018 20:45:42 -0500

=== debian/control ===
Source: python-libmaas
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 10), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/maas/python-libmaas
X-Python3-Version: >= 3.2

Package: python3-libmaas
Architecture: all
Depends: python3-aiohttp,
         python3-argcomplete,
         python3-bson,
         python3-colorclass,
         python3-oauthlib,
         python3-tz,
         python3-yaml,
         python3-terminaltables,
         ${python3:Depends},
         ${misc:Depends}
Description: MAAS asyncio client library (Python 3)
 The MAAS Python Client library provides an asyncio based library
 to interact with MAAS.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-libmaas

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install

	# Remove binary that's created by the setup.py
	rm -rf $(CURDIR)/debian/python3-libmaas/usr/bin/maas

override_dh_auto_build:
	# Do nothing. We have nothing to build, hence disabling
	# the build process.

override_dh_auto_test:
	# Do nothing. Tests require running daemons, hence
	# disable them during packaging building.

## python-libmaas 0.6.4

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 dist: bin/python setup.py README
 	bin/python setup.py sdist bdist_wheel
 
-upload: bin/python setup.py README
-	bin/python setup.py sdist bdist_wheel upload
+upload: bin/python bin/twine setup.py README
+	bin/python setup.py sdist bdist_wheel
+	bin/twine upload dist/*
 
 test: bin/tox
 	@bin/tox
@@ -52,6 +53,9 @@
 bin/mkdocs: bin/pip
 	bin/pip install --quiet --ignore-installed "mkdocs >= 0.14.0"
 
+bin/twine: bin/pip
+	bin/pip install --quiet --ignore-installed twine
+
 # ---
 
 api-json-raw := $(wildcard maas/client/bones/testing/*.raw.json)

=== debian/changelog ===
python-libmaas (0.6.4-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 27 Jun 2019 09:51:36 -0400

python-libmaas (0.6.2-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 21 May 2019 13:32:20 -0400

## python-libmaas 0.6.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
-PYTHON := python3
+python := python3
+snapcraft := SNAPCRAFT_BUILD_INFO=1 /snap/bin/snapcraft
+
+# ---
+
+install-dependencies:
+	if [ -x /usr/bin/snap ]; then sudo snap install --classic snapcraft; fi
 
 # ---
 
@@ -18,6 +24,9 @@
 integrate: bin/tox
 	@bin/tox -e integrate
 
+format: bin/tox
+	@bin/tox -e format,imports
+
 lint: bin/tox
 	@bin/tox -e lint,imports
 
@@ -30,6 +39,14 @@
 	find . -name '*~' -print0 | xargs -r0 $(RM)
 	$(RM) -r .eggs .tox .coverage TAGS tags
 	$(RM) pip-selfcheck.json
+
+# ---
+
+snap-clean:
+	$(snapcraft) clean
+
+snap:
+	$(snapcraft)
 
 # ---
 
@@ -48,7 +65,7 @@
 	bin/pip install --quiet --ignore-installed tox
 
 bin/python bin/pip:
-	virtualenv --python=$(PYTHON) --quiet $(CURDIR)
+	virtualenv --python=$(python) --quiet $(CURDIR)
 
 bin/mkdocs: bin/pip
 	bin/pip install --quiet --ignore-installed "mkdocs >= 0.14.0"
@@ -71,4 +88,4 @@
 
 # ---
 
-.PHONY: develop dist docs docs-to-github test integrate lint clean pretty
+.PHONY: install-dependencies develop dist docs docs-to-github test integrate lint clean pretty snap snap-clean

=== debian/changelog ===
python-libmaas (0.6.8-0ubuntu3) plucky; urgency=medium

  * d/p/lp2077382-support-additional-parametes-on-deploy.patch: This
    implements support for ephemeral_deploy as well as enable_hw_sync on
    deploy() (LP: #2077382)

 -- Alan Baghumian <alan.baghumian@canonical.com>  Thu, 24 Oct 2024 10:38:35 -0700

python-libmaas (0.6.8-0ubuntu2) lunar; urgency=medium

  * d/control,d/tests/*: Enable autopkgtests. 

 -- James Page <james.page@ubuntu.com>  Wed, 08 Mar 2023 09:38:26 +0000

python-libmaas (0.6.8-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1989118).
  * d/control: Drop use of X-Python3-Version.
  * d/control: Bumped Standards-Version to 4.6.2, no changes.
  * d/control,compat: Upgrade to debhelper-compat 13.
  * d/*: wrap-and-sort -bast
  * d/rules,control: Enable tests during package build.
  * d/p/drop-django-upperbound.patch: Drop upper bound on django for
    testing.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Feb 2023 09:28:28 +0000

=== debian/control ===
Source: python-libmaas
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-aiohttp,
 python3-all,
 python3-argcomplete,
 python3-bson,
 python3-colorclass,
 python3-django,
 python3-fixtures,
 python3-macaroonbakery,
 python3-oauthlib,
 python3-pymongo,
 python3-setuptools,
 python3-terminaltables,
 python3-testscenarios,
 python3-testtools,
 python3-twisted,
 python3-tz,
 python3-yaml,
Standards-Version: 4.6.2
Homepage: https://github.com/maas/python-libmaas
Testsuite: autopkgtest-pkg-python

Package: python3-libmaas
Architecture: all
Depends:
 python3-aiohttp,
 python3-argcomplete,
 python3-bson,
 python3-colorclass,
 python3-oauthlib,
 python3-pymongo,
 python3-terminaltables,
 python3-tz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: MAAS asyncio client library (Python 3)
 The MAAS Python Client library provides an asyncio based library
 to interact with MAAS.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,3 @@
 
 	# Remove binary that's created by the setup.py
 	rm -rf $(CURDIR)/debian/python3-libmaas/usr/bin/maas
-
-override_dh_auto_build:
-	# Do nothing. We have nothing to build, hence disabling
-	# the build process.
-
-override_dh_auto_test:
-	# Do nothing. Tests require running daemons, hence
-	# disable them during packaging building.

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, python3-all
Restrictions: needs-root, allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-libmaas-$1.tar.gz%" \
   https://github.com/maas/python-libmaas/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
